﻿@model SiteELearning.Student

@{
    ViewBag.Title = "Inscription";
}

<h2>Inscription</h2>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Student</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.nom, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.nom, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.nom, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.prenom, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.prenom, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.prenom, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.email, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.email, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.email, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.idNiv,"Niveau Scolaire",htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @{
                    List<niveauscolair> ls = new List<niveauscolair>();
                    List<SelectListItem> l = new List<SelectListItem>();
                    if (ViewBag.list != null)
                    {
                        ls = ViewBag.list;
                        foreach(niveauscolair element in ls)
                        {
                            l.Add(new SelectListItem
                            {
                                Text = element.NivScolaire,
                                Value = element.idNiv.ToString()
                            }) ;
                        }
                    }
                }

                @*@Html.EditorFor(model => model.idNiv, new { htmlAttributes = new { @class = "form-control" } })
        @Html.ValidationMessageFor(model => model.idNiv, "", new { @class = "text-danger" })*@
                @Html.DropDownListFor(model => model.idNiv, l, "Selectionner un niveau de scolarité", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.idNiv, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
